curl -X GET "https://api.affonso.io/v1/program/fraud-rules" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"self_referral_mode": "detect",
"cross_program_ban_mode": "off",
"duplicate_payout_mode": "block",
"suspicious_email_mode": "detect",
"banned_referral_mode": "off",
"paid_traffic_mode": "off",
"blocked_country_mode": "block",
"banned_referral_config": null,
"blocked_country_config": {
"countries": ["CN", "RU", "NG"]
},
"paid_traffic_config": null
}
}
Fraud Rules
Get Fraud Rules
Get fraud detection rule settings for your program
GET
/
v1
/
program
/
fraud-rules
curl -X GET "https://api.affonso.io/v1/program/fraud-rules" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"self_referral_mode": "detect",
"cross_program_ban_mode": "off",
"duplicate_payout_mode": "block",
"suspicious_email_mode": "detect",
"banned_referral_mode": "off",
"paid_traffic_mode": "off",
"blocked_country_mode": "block",
"banned_referral_config": null,
"blocked_country_config": {
"countries": ["CN", "RU", "NG"]
},
"paid_traffic_config": null
}
}
Retrieve the fraud detection rule configurations for your program. Each rule can be set to
off, detect (flag but allow), or block (prevent the action).
Response
boolean
Always
true for successful responsesobject | null
The fraud rules object, or
null if not yet configured.Show Data Object Properties
Show Data Object Properties
string
Self-referral detection:
off, detect, or blockstring
Cross-program ban detection:
off, detect, or blockstring
Duplicate payout detection:
off, detect, or blockstring
Suspicious email detection:
off, detect, or blockstring
Banned referral detection:
off, detect, or blockstring
Paid traffic detection:
off, detect, or blockstring
Blocked country detection:
off, detect, or blockobject | null
Configuration for banned referral detection
object | null
Configuration for blocked country detection (e.g. country list)
object | null
Configuration for paid traffic detection
curl -X GET "https://api.affonso.io/v1/program/fraud-rules" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"self_referral_mode": "detect",
"cross_program_ban_mode": "off",
"duplicate_payout_mode": "block",
"suspicious_email_mode": "detect",
"banned_referral_mode": "off",
"paid_traffic_mode": "off",
"blocked_country_mode": "block",
"banned_referral_config": null,
"blocked_country_config": {
"countries": ["CN", "RU", "NG"]
},
"paid_traffic_config": null
}
}
Was this page helpful?
⌘I
